Firefox takes up all CPU usage when multiple windows open (especially google docs)
I'm having ongoing problems with using google docs in firefox with high CPU load that means sometimes I have to wait to even scroll.

Happens everytime I use Firefox, with  windows open, each with about  tabs. Especially if the tabs are google docs.

CPU usage goes up to over  and I have to wait to use it.

It should just work, so that I can keep working. Works fine in chrome.


I'm on a Macbook air,  Firefox version 
